ColorConfiguratorSaveDialog = {
	ADD_CONFIG_STATE = 1,
	BASE_CONFIG_STATE = 2
}

local ColorConfiguratorSaveDialog_mt = Class(ColorConfiguratorSaveDialog, TextInputDialog)

ColorConfiguratorSaveDialog.CONTROLS = {
	"multiSaveOption"
}

function ColorConfiguratorSaveDialog.new(target, custom_mt, colorConfigurator)
	local self = TextInputDialog.new(target, custom_mt or ColorConfiguratorSaveDialog_mt)

	self:registerControls(ColorConfiguratorSaveDialog.CONTROLS)

	self.colorConfigurator = colorConfigurator

	self.state = true
	self.onTextEntered = nil
	self.isPasswordDialog = false
	self.disableFilter = false

	return self
end

function ColorConfiguratorSaveDialog:onGuiSetupFinished()
	ColorConfiguratorSaveDialog:superClass().onGuiSetupFinished(self)

	self.multiSaveOption:setTexts({
		g_i18n:getText("colorConfigurator_ui_saveTo_configuration"),
		g_i18n:getText("colorConfigurator_ui_saveTo_configurator")
	})

	self.textElement.customFocusSample = nil
end

function ColorConfiguratorSaveDialog:onOpen()
	self.textElement:setText(g_i18n:getText("colorConfigurator_ui_defaultColorName"))

	ColorConfiguratorSaveDialog:superClass().onOpen(self)
end

function ColorConfiguratorSaveDialog:sendCallback(clickOk)
	local text = self.textElement.text
	local state = self.state

	self:close()

	if clickOk then
		self.colorConfigurator.dialog:onSaveConfig(text, state)
	end
end

function ColorConfiguratorSaveDialog:onClickSaveOption(state)
	self.state = state == ColorConfiguratorSaveDialog.ADD_CONFIG_STATE
end

function ColorConfiguratorSaveDialog:onEnterPressed(element, dismissal)
end

function ColorConfiguratorSaveDialog:updateButtonVisibility()
end